## zeit 0.5.97%2Bgit20210503

=== src/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/config.h)

set(zeit_SRCS
    aboutdialog.cpp
    alarmdialog.cpp
    basedialog.cpp
    commanddialog.cpp
    commands.cpp
    main.cpp
    mainwindow.cpp
    taskdialog.cpp
    timerdialog.cpp
    variabledialog.cpp
    data/basedelegate.cpp
    data/commanddelegate.cpp
    data/taskdelegate.cpp
    data/variabledelegate.cpp
)
set(zeit_FRMS
    alarmdialog.ui
    commanddialog.ui
    mainwindow.ui
    taskdialog.ui
    timerdialog.ui
    variabledialog.ui
)
set(zeit_RSRCS ../zeit.qrc)

#translations
SET(TRANSLATION
    ../translations/zeit_ru_RU.ts
    ../translations/crontablib_ru_RU.ts
)
find_package(Qt5LinguistTools REQUIRED)
qt5_add_translation(QM_FILES ${TRANSLATION})

set(qt_LIBS Qt5::Core Qt5::Gui Qt5::Widgets)

qt5_wrap_ui(zeit_FORMS_HEADERS ${zeit_FRMS})
qt5_add_resources(zeit_RESOURCES_RCC ${zeit_RSRCS})
add_executable(zeit ${zeit_SRCS} ${zeit_HEADERS_MOC} ${zeit_FORMS_HEADERS}
                    ${QM_FILES} ${zeit_RESOURCES_RCC})
target_include_directories(zeit PRIVATE ${Qt5Core_INCLUDE_DIRS}
                           ${Qt5Widgets_INCLUDE_DIRS}
                           ${CMAKE_CURRENT_SOURCE_DIR}/../crontablib
                           ${CMAKE_CURRENT_SOURCE_DIR}
                           ${CMAKE_CURRENT_BINARY_DIR})
target_link_libraries(zeit crontab ${qt_LIBS})
target_compile_features(zeit PRIVATE cxx_lambdas cxx_nullptr cxx_unicode_literals)

install(TARGETS zeit RUNTIME DESTINATION bin)
install(FILES ${QM_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/zeit/translations)

if(BUILD_HELPER)
  add_subdirectory(helper)
endif()

=== debian/control ===
Source: zeit
Section: admin
Priority: extra
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: blaze <blaze@vivaldi.net>
Build-Depends:
 debhelper-compat (= 12),
 qtbase5-dev (>= 5.2.1),
 libx11-dev,
 qttools5-dev,
 qttools5-dev-tools,
 libkf5auth-dev,
 libkf5coreaddons-dev,
 extra-cmake-modules,
 cmake
Standards-Version: 4.5.0
Homepage: https://bitbucket.org/blaze/zeit

Package: zeit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libnotify-bin, at, mpv
Recommends: mplayer
Description: Qt GUI to crontab and at console tools
 Features:
   - easily creates and modifies crontab tasks
   - alarms
   - timers (using "at" utility)
   - superuser actions for regular users with the help of PolKit and KAuth library

Package: libcrontab0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libcrontab
Replaces: libcrontab
Description: Qt library providing an interface to crontab utility
 Forked from KCron project, but contains no KDE deps

Package: libcrontab-dev
Architecture: all
Depends: ${misc:Depends}
Description: Qt library providing an interface to crontab, development files
 Forked from KCron project, but contains no KDE deps
 .
 Header files for crontablib.

## zeit 0.5.97+git20210503

=== CMakeLists.txt ===
project(zeit)
cmake_minimum_required (VERSION 3.1.0)

option(BUILD_TESTS        "Build tests"            OFF)

set(VERSION_MAJOR 0)
set(VERSION_MINOR 5)
set(VERSION_PATCH 97)
set(ZEIT_V    "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
set(CRONTAB_V "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")

file(READ rev ZEIT_REVISION LIMIT 9)

set(QT_MIN_VERSION "5.7.1")
find_package (Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Gui
    Widgets
    Test
)

# root actions support
find_package(KF5Auth)
if(KF5Auth_FOUND)
  find_package(KF5CoreAddons REQUIRED)
  if(KF5CoreAddons_FOUND)
    set(BUILD_HELPER TRUE)
  endif()
endif()

set(CMAKE_AUTOMOC ON)

add_subdirectory(crontablib)
add_subdirectory(src)
add_subdirectory(misc)

if(BUILD_TESTS)
  add_subdirectory(tests)
endif()

=== tests/CMakeLists.txt ===
set(test_LIBS Qt5::Core Qt5::Gui Qt5::Test)
set(tests_SRCS tests.cpp)
add_executable(tests ${tests_SRCS})
target_include_directories(tests PRIVATE ${Qt5Core_INCLUDE_DIRS}
                           ${Qt5Gui_INCLUDE_DIRS}
                           ${CMAKE_CURRENT_SOURCE_DIR}/../crontablib
                           ${CMAKE_CURRENT_BINARY_DIR})
target_link_libraries(tests crontab ${test_LIBS})
target_compile_features(tests PRIVATE cxx_nullptr)

=== src/helper/CMakeLists.txt ===

add_executable(zeit_helper zeithelper.cpp)
target_link_libraries(zeit_helper KF5::AuthCore)
target_include_directories(zeit_helper PRIVATE Qt5::Core KF5::Auth)


find_package (ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(KDEInstallDirs)
#set(SYSCONF_INSTALL_DIR "/etc")
#set(DBUS_SYSTEM_SERVICES_INSTALL_DIR "share/dbus-1/system-services")
install(TARGETS zeit_helper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
kauth_install_helper_files(zeit_helper local.zeit.crontab root)
kauth_install_actions(local.zeit.crontab local.zeit.crontab.actions)

=== debian/changelog ===
zeit (0.5.97+git20210503-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.
  * Added 'at' to depends to provide nonperiodic command function OOTB.
  * Added mpv to depends to provide alarm function OOTB.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 04 May 2021 16:30:52 -0400

zeit (0.5.97~git20210503-1~focal1) focal; urgency=medium

  * Automatic upload from 20210503 (49f442d)

 -- blaze <blaze@vivaldi.net>  Mon, 03 May 2021 23:32:43 +0300

## zeit 0.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 option(BUILD_TESTS        "Build tests"            OFF)
 
 set(VERSION_MAJOR 0)
-set(VERSION_MINOR 5)
-set(VERSION_PATCH 97)
+set(VERSION_MINOR 6)
+set(VERSION_PATCH 0)
 set(ZEIT_V    "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
 set(CRONTAB_V "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")

=== crontablib/CMakeLists.txt ===
set(crontablib_SRCS
   cthost.cpp
   ctcron.cpp
   ctmonth.cpp
   ctminute.cpp
   cthour.cpp
   ctdom.cpp
   ctdow.cpp
   cttask.cpp
   ctunit.cpp
   ctvariable.cpp
   ctGlobalCron.cpp
   ctSystemCron.cpp
   ctInitializationError.cpp
   ctSaveStatus.cpp
   ctHelper.cpp
)

set(crontablib_HDRS
   cthost.h
   ctcron.h
   ctmonth.h
   ctminute.h
   cthour.h
   ctdom.h
   ctdow.h
   cttask.h
   ctunit.h
   ctvariable.h
   ctGlobalCron.h
   ctSystemCron.h
   ctInitializationError.h
   ctSaveStatus.h
   ctHelper.h
)

add_library(crontab SHARED ${crontablib_SRCS})

target_link_libraries(crontab Qt5::Core Qt5::Gui)
target_include_directories(crontab PRIVATE Qt5::Core Qt5::Gui
                                           ${CMAKE_CURRENT_BINARY_DIR}/../src)
if(BUILD_HELPER)
  target_link_libraries(crontab KF5::AuthCore)
  target_include_directories(crontab PRIVATE KF5::Auth KF5::CoreAddons)
endif()
target_compile_features(crontab PRIVATE cxx_lambdas cxx_nullptr cxx_unicode_literals)
set_target_properties(crontab PROPERTIES VERSION ${CRONTAB_V} SOVERSION ${VERSION_MAJOR})

install(FILES ${crontablib_HDRS} DESTINATION ${CMAKE_INSTALL_PREFIX}/include/crontablib/)
install(TARGETS crontab LIBRARY DESTINATION lib)

=== misc/CMakeLists.txt ===

install(DIRECTORY applications DESTINATION share)
install(DIRECTORY pixmaps DESTINATION share)
#install(DIRECTORY man DESTINATION share)

=== debian/changelog ===
zeit (0.6.0-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.
  * Correct homepage in control file.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 12 Jan 2022 17:48:48 -0500

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  extra-cmake-modules,
  cmake
 Standards-Version: 4.5.0
-Homepage: https://bitbucket.org/blaze/zeit
+Homepage: https://github.com/loimu/zeit
 
 Package: zeit
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

override_dh_missing:
	dh_missing --list-missing

override_dh_strip:
	dh_strip --no-automatic-dbgsym
